Skip to main content

getPatientFlowProgress

Returns consent status and retrieval progress for a patient within a project.

Organization tokens must supply exactly one of externalId, referenceId, or patientId to identify the patient. Patient tokens are identified by the token itself and do not require an identifier query parameter.

If the patient is identified on the project by externalId or referenceId but has not yet created a HealthEx account, returns consentStatus: NOT_CONSENTED and retrieval: null.

Path Parameters
projectId string REQUIRED

HealthEx project (study) id

Query Parameters
completedRetrievalsOnly boolean

When true, only returns a retrieval if it is fully complete. Defaults to false.

patientId string

HealthEx patient ID

referenceId string

HealthEx patient reference ID

externalId string

Partner-assigned external patient identifier

Responses
200

Patient flow progress

Schema OPTIONAL
consentStatus string

Possible values: [CONSENTED, NOT_CONSENTED]

Indicates whether the patient has consented to share their data

retrieval object

Object containing information on the the patient's most recent data retrieval. Will be null if the patient has not yet consented to share their data.

patientId string

The patient's HealthEx ID

retrievalId string

A unique identifier for the data retrieval request. Will change whenever the user updates their data.

dataRetrievalStatus string

Possible values: [IN_PROGRESS, COMPLETE]

Status indicating whether the data retrieval request is in progress or complete

vectorizationStatus string

Possible values: [IN_PROGRESS, COMPLETE, FAILED]

Status indicating whether the data has been vectorized and is fully ready for AI-powered queries

createdAt date-time

The date and time the data retrieval request was created

updatedAt object

The date and time the data retrieval request was last updated

locations object[]

Array of healthcare locations that were or are being retrieved

locationId string

The ID of the healthcare location

locationName object

Human-readable name of the healthcare location

dataRetrievalStatus string

Possible values: [NOT_STARTED, IN_PROGRESS, COMPLETE, PARTIAL_COMPLETE, SKIPPED, ERROR, AUTHENTICATION_EXPIRED, AUTHENTICATION_NEEDED_NEW_FACILITY]

Status of the retrieval for this specific location

locationSource string

Possible values: [TEFCA_DOCUMENT, TEFCA_ENDPOINT, USER_SELECTED, INTERNAL_TEST, HEALTHEX_EPIC]

Indicates how this healthcare location was discovered

updatedAt object

The date and time the location's data was last updated

documentCount number

The number of documents retrieved from this location